var TopData = 
[
{
    "title": "Nyeste",
    "link": "http://www.dr.dk/nu/api/videos/newest",
    "description": "De nyeste programmer",
    "state": "newest",
    "position": 0,
    "cw": 0
},
{
    "title": "Mest sete",
    "link": "http://www.dr.dk/nu/api/videos/mostviewed",
    "description": "De mest sete programmer",
    "state": "mostviewed",
    "position": 0,
    "cw": 0
},
{
    "title": "Serier",
    "link": "http://www.dr.dk/nu/api/programseries",
    "description": "Programserier i flere afsnit",
    "state": "series",
    "position": 0,
    "cw": 0
},
/*
{
    "title": "Favoritter",
    "link": "http://www.dr.dk/nu/api/videos/",
    "description": "Dine favoritter",
    "state": "Favoritter",
    "position": 0,
    "cw": 0
},
*/
{
    "title": "Sidste chance",
    "link": "http://www.dr.dk/nu/api/videos/lastchance",
    "description": "Programmer der snart forsvinder",
    "state": "lastchance",
    "position": 0,
    "cw": 0
},
{
    "title": "TV Avisen",
    "link": "http://www.dr.dk/nu/api/search/tv-avisen?mode=title&limit=50",
    "description": "TV Avisen",
    "state": "tvavisen",
    "position": 0,
    "cw": 0
},
{
    "title": "Deadline",
    "link": "http://www.dr.dk/nu/api/search/deadline?mode=title&limit=50",
    "description": "Deadline",
    "state": "deadline",
    "position": 0,
    "cw": 0
},
{
    "title": "S&oslash;g",
    "link": "http://www.dr.dk/nu/api/search/",
    "description": "S&oslash;g efter programmer",
    "state": "search",
    "position": 0,
    "cw": 0
},
 
]

var Data =
{
    videoCount : 0,
    id: [ ],
    title: [ ],
    isPremiere: [ ],
    description: [ ],
    broadcastChannel: [ ],
    broadcastTime: [ ],
    formattedBroadcastTime: [ ],
    link : [ ],
    slug : [ ],
    videoManifestUrl : [ ],
    state : [ ]
}

Data.init = function()
{
    this.id = [ ];
    this.title = [ ];
    this.isPremiere = [ ];
    this.description = [ ];
    this.broadcastChannel = [ ];
    this.broadcastTime = [ ];
    this.formattedBroadcastTime = [ ];
    this.link = [ ];
    this.videoManifestUrl = [ ];
    alert("list length: " + this.title.length);
}

Data.setVideoNames = function(list)
{
    this.videoNames = list;
}

Data.setVideoURLs = function(list)
{
    this.videoURLs = list;
}

Data.setVideoDescriptions = function(list)
{
    this.videoDescriptions = list;
}

Data.getVideoURL = function(index)
{
    var url = this.link[index];
    
    if (url)    // Check for undefined entry (outside of valid array)
    {
        return url;
    }
    else
    {
        return null;
    }
}

Data.getVideoCount = function()
{
    return this.videoCount;
}

Data.getVideoNames = function()
{
    return this.title;
}

Data.getVideoID = function(index)
{
    return this.id[index];
}

Data.getVideoDescription = function(index)
{
    var description = this.description[index];
    
    if (description && (description != ""))    // Check for undefined entry (outside of valid array)
    {
        return description;
    }
    else
    {
        return "Ingen beskrivelse";
    }
}

Data.getVideoTitle = function(index)
{
    var title = this.title[index];

    if (title && (title != ""))    // Check for undefined entry (outside of valid array)
    {
        return title;
    }
    else
    {
        return "Titel mangler";
    }
}
