var Display =
{
    statusDiv : null,
    FIRSTIDX : 0,
    LASTIDX : 8,
    currentWindow : 0,
    img_w : 154,
    img_h : 74,

    SELECTOR : 0,
    LIST : 1,
    infoVisible : 0,
    
    videoList : new Array()
}

Display.init = function()
{
    var success = true;
    
    this.statusDiv = document.getElementById("status");

    if (!this.statusDiv)
    {
        success = false;
    }
    
    return success;
}

Display.setTotalTime = function(total)
{
    this.totalTime = total;
}

Display.status = function(status)
{
    alert(status);
    widgetAPI.putInnerHTML(this.statusDiv, status);
}
/*
Display.setVolume = function(level)
{
    document.getElementById("volumeBar").style.width = level + "%";
    
    var volumeElement = document.getElementById("volumeInfo");

    widgetAPI.putInnerHTML(volumeElement, "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" + Audio.getVolume());
}
*/
Display.setVideoList = function()
{
    var listHTML = "";
    alert("setVideoList cw:" + this.currentWindow + " pos:" + Main.selectedVideo);
    //this.currentWindow = cw;//Added for clearing when new list is loaded
    var i=0;
    for(i=0; i <= this.LASTIDX; i++)
    {
        this.videoList[i] = document.getElementById("video"+i);
        if(Main.selectedVideo+i-this.currentWindow < Data.videoCount){
            listHTML = Data.title[Main.selectedVideo+i-this.currentWindow];
            alert("List VideoID:" + Data.getVideoID(Main.selectedVideo+i-this.currentWindow));
        }else{
            listHTML = "";
        }
        widgetAPI.putInnerHTML(this.videoList[i], listHTML);
    }
    
    //Update the video counter
    listHTML = Main.selectedVideo+1 + " / " + Data.videoCount;
    widgetAPI.putInnerHTML(document.getElementById("videoCount"), listHTML);

    //Set selector at first video and clear the others
    for (i = 0; i <= this.LASTIDX; i++)
    {
        if(i == this.currentWindow){
            this.videoList[i].style.backgroundImage= "url(Images/listBox/selector.png)";
        }else{
            this.videoList[i].style.backgroundImage= "url(none)";
        }
    }
    Display.setDescription( Data.getVideoTitle(Main.selectedVideo), Data.getVideoDescription(Main.selectedVideo));
    Display.setImage(Main.selectedVideo);
}
Display.setImage = function(no)
{
    alert("SetImage:" + no + " state:" + Main.state);
    if(Main.state != "series")
    {
        if(Data.id[no])
        {
            url = "http://www.dr.dk/nu/api/videos/" + Data.id[no] + "/images/" + this.img_w + "x" + this.img_h + ".jpg";
            document.getElementById("progimage").style.backgroundImage= "url(" + url + ")";
        }
        else
        {
            document.getElementById("progimagebox").style.display = "none";
        }
    }
    else
    {
        if(Data.slug[no])
        {
            alert("series image");
            url = "http://www.dr.dk/nu/api/programseries/" + Data.slug[no] + "/images/" + this.img_w + "x" + this.img_h + ".jpg";
            document.getElementById("progimage").style.backgroundImage= "url(" + url + ")";
        }
        else
        {
            document.getElementById("progimagebox").style.display = "none";
        }
    }
}
    
Display.setVideoListPosition = function(position, move)
{    
    var listHTML = "";
    alert("pos:" + position + " move:" + move + " CW:" + this.currentWindow);
    listHTML = (position + 1) + " / " + Data.getVideoCount();
    widgetAPI.putInnerHTML(document.getElementById("videoCount"), listHTML);
    if(move > 1 || move < -1){
        if(move > 1){
            if(this.LASTIDX < Data.getVideoCount())
                this.currentWindow = this.LASTIDX;
            else
                this.currentWindow = Data.getVideoCount()-1;
        }else{
            this.currentWindow = 0;
        }
        for(i = 0; i <= this.LASTIDX; i++)
        {
            f = i + position - this.currentWindow;
            if(f < Data.getVideoCount()){
                listHTML = Data.title[f];
            }else{
                listHTML = "";
            }
            widgetAPI.putInnerHTML(this.videoList[i], listHTML);
        }
        for (var i = 0; i <= this.LASTIDX; i++)
        {
            if(i == this.currentWindow)
                this.videoList[i].style.backgroundImage= "url(Images/listBox/selector.png)";
            else
                this.videoList[i].style.backgroundImage= "url(none)";
        }
    }else{
        if(Data.getVideoCount() <= this.LASTIDX)
        {
            this.currentWindow = position;
            for (var i = 0; i < Data.getVideoCount(); i++)
            {
                if(i == position)
                    this.videoList[i].style.backgroundImage= "url(Images/listBox/selector.png)";
                else
                    this.videoList[i].style.backgroundImage= "url(none)";
            }
        }
        else if((this.currentWindow!=this.LASTIDX && move>0) || (this.currentWindow!=this.FIRSTIDX && move<0))
        {
            this.currentWindow += move;

            for (var i = 0; i <= this.LASTIDX; i++)
            {
                if(i == this.currentWindow)
                    this.videoList[i].style.backgroundImage= "url(Images/listBox/selector.png)";
                else
                    this.videoList[i].style.backgroundImage= "url(none)";
            }
        }
        else if(this.currentWindow == this.LASTIDX && move > 0)
        {
            if(position == this.FIRSTIDX)
            {
                this.currentWindow = this.FIRSTIDX;

                for(i = 0; i <= this.LASTIDX; i++)
                {
                    listHTML = Data.title[i] ;
                    widgetAPI.putInnerHTML(this.videoList[i], listHTML);

                    if(i == this.currentWindow)
                        this.videoList[i].style.backgroundImage= "url(Images/listBox/selector.png)";
                    else
                        this.videoList[i].style.backgroundImage= "url(none)";
                }
            }
            else
            {            
                for(i = 0; i <= this.LASTIDX; i++)
                {
                    listHTML = Data.title[i + position - this.currentWindow] ;
                    widgetAPI.putInnerHTML(this.videoList[i], listHTML);
                }
            }
        }
        else if(this.currentWindow == this.FIRSTIDX && move < 0)
        {
            if(position == Data.getVideoCount()-1)
            {
                this.currentWindow = this.LASTIDX;

                for(i = 0; i <= this.LASTIDX; i++)
                {
                    listHTML = Data.title[i + position - this.currentWindow] ;
                    widgetAPI.putInnerHTML(this.videoList[i], listHTML);

                    if(i == this.currentWindow)
                        this.videoList[i].style.backgroundImage= "url(Images/listBox/selector.png)";
                    else
                        this.videoList[i].style.backgroundImage= "url(none)";
                }
            }
            else
            {            
                for(i = 0; i <= this.LASTIDX; i++)
                {
                    listHTML = Data.title[i + position] ;
                    widgetAPI.putInnerHTML(this.videoList[i], listHTML);
                }
            }
        }
    }
    alert("CW:" + this.currentWindow);
}

Display.setDescription = function(title, description)
{
    var descriptionElement = document.getElementById("description");
    
    widgetAPI.putInnerHTML(descriptionElement, "<h1 style=\"font-size:150%\">" + title + "</h1>" +
            "<p>" + "<div id=\"progimagebox\"><div id=\"progimagebg\"></div><div id=\"progimage\"></div></div>" + 
            description + "</p>");

    //Set title in status bar
    widgetAPI.putInnerHTML(document.getElementById("playertitle"), title);
}

Display.setTitle = function(title)
{
    var titleElement = document.getElementById("logo");
    
    widgetAPI.putInnerHTML(titleElement, title);
}

Display.setProgTitle = function(title)
{
    var titleElement = document.getElementById("prog_title");
    
    widgetAPI.putInnerHTML(titleElement, title);
    
}

Display.hide = function()
{
    document.getElementById("main").style.display="none";
}

Display.show = function()
{
    document.getElementById("main").style.display="block";
}

Display.settingsShow = function()
{
    document.getElementById("settings").style.display="block";
    widgetAPI.putInnerHTML(document.getElementById("settings0"), "Initial buffer: " + FileSettings.initialBuffer + "MB");
    widgetAPI.putInnerHTML(document.getElementById("settings1"), "Pending buffer: " + FileSettings.pendingBuffer + "MB");
    widgetAPI.putInnerHTML(document.getElementById("settings2"), "Total buffer: " + FileSettings.totalBuffer + "MB");
    widgetAPI.putInnerHTML(document.getElementById("settings3"), "Search limit: " + FileSettings.searchLimit);
    for(i=0;i<=Main.settingsSelectorMax;i++){
        if(i==Main.settingsSelector){
            document.getElementById("settings" + i).style.backgroundColor = "#ffae00";
        }else{
            document.getElementById("settings" + i).style.backgroundColor = "darkblue";
        }
    }

}
Display.settingsHide = function()
{
    document.getElementById("settings").style.display="none";
}

Display.searchShow = function()
{
    Main.inputMode = 2;                    
    document.getElementById("searchBox").style.display="block";
    document.getElementById("leftHalf").style.display="none";
    document.getElementById("rightHalf").style.display="none";
}
Display.searchHide = function()
{
    Main.inputMode = 0;                    
    document.getElementById("searchBox").style.display="none";
    document.getElementById("leftHalf").style.display="block";
    document.getElementById("rightHalf").style.display="block";
}

Display.infoShow = function()
{
    clearTimeout(Display.infoTimeout);
    Display.infoUpdate();
    document.getElementById("playerstatus").style.display="block";
    
}
Display.infoHideSub = function()
{
    document.getElementById("playerstatus").style.display="none";
    clearTimeout(Display.updateTimeout);    
}
Display.infoHide = function()
{
    clearTimeout(Display.infoTimeout);
    Display.infoTimeout = setTimeout("Display.infoHideSub()", 3000);
}
Display.infoUpdate = function()
{
    // Set endtime
    var d=new Date();
    var m=d.getMinutes();
    var h=d.getHours();
    var minleft = Math.round((Player.totTime - Player.curTime)/60000);
    m = m + minleft;
    h = (h + Math.floor(m/60))%24;
    m = m%60;
    if(m<10){
        endtime = h + ":0" + m;
    }else{
        endtime = h + ":" + m;
    }
    widgetAPI.putInnerHTML(document.getElementById("playerendtime"), "Slut kl. " + endtime);

    //Format play time
    playtime = Player.time2string(Player.curTime);
    widgetAPI.putInnerHTML(document.getElementById("playerplaytime"), playtime);
    //Format total time
    totaltime = Player.time2string(Player.totTime-Player.curTime);
    widgetAPI.putInnerHTML(document.getElementById("playertotaltime"), totaltime);
    
    //Set progress bar width
    var timePercent = (720 * Player.curTime) / Player.totTime;
    document.getElementById("playerleftbar").style.width = timePercent + "px";
    
    //Keep calling this update function every 500 ms
    clearTimeout(Display.updateTimeout);    
    Display.updateTimeout = setTimeout("Display.infoUpdate()", 500);
}


Display.resumeShow = function()
{
    Display.hide();
    Display.resumeUpdate();
    document.getElementById("questionBox").style.display="block";    
}
Display.resumeHide = function()
{
    document.getElementById("questionBox").style.display="none";    
}
Display.resumeUpdate = function()
{
    var curTime = Player.time2string(Player.curTime);
    widgetAPI.putInnerHTML(document.getElementById("questionResume"), "Afspil fra " + curTime);
    
    if(Main.resumeSelect){
        document.getElementById("questionResume").style.backgroundImage= "url(Images/listBox/selector.png)";
        document.getElementById("questionStart").style.backgroundImage= "url(none)";
    }else{
        document.getElementById("questionResume").style.backgroundImage= "url(none)";
        document.getElementById("questionStart").style.backgroundImage= "url(Images/listBox/selector.png)";
    }
}